Sada je: 29 srp 2021, 03:44.
Linux, poslužitelj, mreže i sigurnost

Moderator/ica: Moderatori/ce

Pozdrav,

prilikom pokusaja instaliranja munina iz epel-a (CentOS 6.3 x86; yum install munin munin-node) dobivam ovu gresku;


Kod: Označi sve
Total size: 11 M
Installed size: 41 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test

Transaction Check Error:
  file /usr/share/man/man3/XML::SAX::Base.3pm.gz conflicts between attempted installs of perl-XML-SAX-0.96-7.el6.noarch and perl-XML-SAX-Base-1.04-1.el5.rf.noarch
  file /usr/share/man/man3/XML::SAX::Exception.3pm.gz conflicts between attempted installs of perl-XML-SAX-0.96-7.el6.noarch and perl-XML-SAX-Base-1.04-1.el5.rf.noarch

Error Summary
-------------


rpm -aq | grep perl-XML-SAX mi ne daje nikakve instalirane pakete.

guglanjem errora dobivam par rezultata koje sam sve isprobao i nisam rijesio problem.

Ima li tko kakav savjet kako instalirati munin, a da je provjereno, makar i rucno, posto preko repo-a bas i ne ide.
Zadnja izmjena: redtux; 03 pro 2012, 15:53; ukupno mijenjano 1 put/a.
Avatar
Postovi: 84
Postovi: 84
Pridružen/a: 03 stu 2012, 23:02
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: CentOS 6.3
Mozes li dati output naredbi:
Kod: Označi sve
grep -ri el5 /etc/yum.repos.d/*

i
Kod: Označi sve
rpm -qa | grep epel
When you're a kid and you wanna go "Weee !", but you ain't got drugs yet ... You hold out for your life, hold on to your little GONADS ... and STRIFE.
Avatar
Postovi: 910
Postovi: 910
Pridružen/a: 12 svi 2010, 07:57
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 13 puta
OS: linux
Kod: Označi sve
/etc/yum.repos.d/mirrors-rpmforge:http://apt.sw.be/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://archive.cs.uu.nl/mirror/dag.wieers/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://ftp2.lcpe.uni-sofia.bg/freshrpms/pub/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:#http://ftp.heanet.ie/pub/freshrpms/pub/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://ftp-stud.fht-esslingen.de/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://mirrors.ircam.fr/pub/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://rh-mirror.linux.iastate.edu/pub/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://rpmfind.net/linux/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://wftp.tu-chemnitz.de/pub/linux/dag/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge:http://www.mirrorservice.org/sites/apt.sw.be/redhat/el5/en/$ARCH/rpmforge
/etc/yum.repos.d/mirrors-rpmforge-extras:http://apt.sw.be/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://archive.cs.uu.nl/mirror/dag.wieers/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://ftp2.lcpe.uni-sofia.bg/freshrpms/pub/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:#http://ftp.heanet.ie/pub/freshrpms/pub/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://ftp-stud.fht-esslingen.de/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://mirrors.ircam.fr/pub/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://rh-mirror.linux.iastate.edu/pub/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://rpmfind.net/linux/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://wftp.tu-chemnitz.de/pub/linux/dag/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-extras:http://www.mirrorservice.org/sites/apt.sw.be/redhat/el5/en/$ARCH/extras
/etc/yum.repos.d/mirrors-rpmforge-testing:http://apt.sw.be/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://archive.cs.uu.nl/mirror/dag.wieers/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://ftp2.lcpe.uni-sofia.bg/freshrpms/pub/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:#http://ftp.heanet.ie/pub/freshrpms/pub/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://ftp-stud.fht-esslingen.de/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://mirrors.ircam.fr/pub/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://rh-mirror.linux.iastate.edu/pub/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://rpmfind.net/linux/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://wftp.tu-chemnitz.de/pub/linux/dag/redhat/el5/en/$ARCH/testing
/etc/yum.repos.d/mirrors-rpmforge-testing:http://www.mirrorservice.org/sites/apt.sw.be/redhat/el5/en/$ARCH/testing
Binary file /etc/yum.repos.d/remi-release-6.rpm matches
Binary file /etc/yum.repos.d/rpmforge-release-0.5.2-2.el5.rf.i386.rpm matches
Binary file /etc/yum.repos.d/rpmforge-release-0.5.2-2.el5.rf.i386.rpm.1 matches
/etc/yum.repos.d/rpmforge.repo:baseurl = http://apt.sw.be/redhat/el5/en/$basearch/rpmforge
/etc/yum.repos.d/rpmforge.repo:mirrorlist = http://apt.sw.be/redhat/el5/en/mirrors-rpmforge
/etc/yum.repos.d/rpmforge.repo:baseurl = http://apt.sw.be/redhat/el5/en/$basearch/extras
/etc/yum.repos.d/rpmforge.repo:mirrorlist = http://apt.sw.be/redhat/el5/en/mirrors-rpmforge-extras
/etc/yum.repos.d/rpmforge.repo:baseurl = http://apt.sw.be/redhat/el5/en/$basearch/testing
/etc/yum.repos.d/rpmforge.repo:mirrorlist = http://apt.sw.be/redhat/el5/en/mirrors-rpmforge-testing


i

Kod: Označi sve
epel-release-6-7.noarch
Avatar
Postovi: 84
Postovi: 84
Pridružen/a: 03 stu 2012, 23:02
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: CentOS 6.3
U tom grumu i lezi zec, imas el5 i el6 repoe enableane, pa se kolju.

rpmforge repoi su ti zbrikani na el5.

Makni rpmforge (el5) i instaliraj rpmforge (el6):

1. Makni stari rpmforge:
Kod: Označi sve
 
yum remove rpmforge-release


2. Dodaj novi za el6
i386
Kod: Označi sve
rpm -ivh http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.i686.rpm

x86_64
Kod: Označi sve
http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm


To bi trebalo rijesiti stvar.
When you're a kid and you wanna go "Weee !", but you ain't got drugs yet ... You hold out for your life, hold on to your little GONADS ... and STRIFE.
Avatar
Postovi: 910
Postovi: 910
Pridružen/a: 12 svi 2010, 07:57
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 13 puta
OS: linux
Maknuo sam stari i stavio novi. Kada sam pokusao napraviti update, dobijem sljedece;

Kod: Označi sve
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * Webmin: webmin.mirror.somersettechsolutions.co.uk
 * base: mirror.centos.com.ba
 * epel: mirrors.n-ix.net
 * extras: mirror.centos.com.ba
 * remi: remirpm.mirror.gymkl.ch
 * rpmforge: mirror1.hs-esslingen.de
 * updates: mirror.centos.com.ba
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package python-paramiko.noarch 0:1.7.5-2.1.el6 will be updated
---> Package python-paramiko.noarch 0:1.7.6-1.el5.rf will be an update
--> Processing Dependency: python(abi) = 2.4 for package: python-paramiko-1.7.6-1.el5.rf.noarch
--> Finished Dependency Resolution
Error: Package: python-paramiko-1.7.6-1.el5.rf.noarch (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-29.el6_3.3.i686 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-29.el6_2.2.i686 (base)
               python(abi) = 2.6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Kada pokusam instalirati munin i node, dobijem istu gresku.
Avatar
Postovi: 84
Postovi: 84
Pridružen/a: 03 stu 2012, 23:02
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: CentOS 6.3
Jesi li ti to upgradeao centos 5 na 6 ?

No, pokusaj sljedece:
Kod: Označi sve
yum remove python-paramiko

pa ponovno okini
Kod: Označi sve
yum update


EDIT:
Cini mi se da ti je negdje jos ostao visiti nekakav el5 repo. Daj output naredbe:
Kod: Označi sve
rpm -qa | fgrep .el5 | sort
When you're a kid and you wanna go "Weee !", but you ain't got drugs yet ... You hold out for your life, hold on to your little GONADS ... and STRIFE.
Avatar
Postovi: 910
Postovi: 910
Pridružen/a: 12 svi 2010, 07:57
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 13 puta
OS: linux
Nisam upgradeao, stavio direktno Centos 6.3 x86 net install minimal.

Output:

rpm -qa | fgrep .el5 | sort
htop-1.0.2-1.el5.rf.i386
libedit-20090923-3.0_1.el5.rf.i386
libffi-3.0.9-1.el5.rf.i386
libssh2-1.2.9-1.el5.rf.i386
nagios-plugins-setuid-1.4.16-1.el5.rf.i386
perl-Test-Harness-3.22-1.el5.rf.noarch
perl-Test-Simple-0.98-1.el5.rf.noarch
phpmyadmin-2.11.11.3-2.el5.rf.noarch
portreserve-0.0.5-2.el5.rf.i386
Avatar
Postovi: 84
Postovi: 84
Pridružen/a: 03 stu 2012, 23:02
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: CentOS 6.3
ali ocigledno i dalje imas krive repozitorije, paket koji pokusavas instalirati zahtijeva python 2.4 koji ne mozes instalirati zato jer ga nema u repozitorjima.
zapravo ni ne zelis jer bi to vjerojatno bio zesci break sustava.
...."Have you mooed today?"...
..It’s that time of the decade: I’m reinstalling Debian..
Avatar
Postovi: 5677
Postovi: 5677
Pridružen/a: 28 vel 2009, 16:36
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 41 puta
Aha, pa si dodao el5 repoe ... (nemas bas puno el5 paketa instaliranih, a na popisu se ne nalazi nekakav koji bi micanjem uzrokovao pad integriteta instalacije)

Nema brige, ajde ucini:
Kod: Označi sve
for package in `rpm -qa | fgrep .el5 | sort`
do
         yum remove $package
done

Opali gore navedeni snippet, no nemoj jos potvrdjivati removal; postaj output uz svoj odgovor pa cemo step-by-step dalje.
When you're a kid and you wanna go "Weee !", but you ain't got drugs yet ... You hold out for your life, hold on to your little GONADS ... and STRIFE.
Avatar
Postovi: 910
Postovi: 910
Pridružen/a: 12 svi 2010, 07:57
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 13 puta
OS: linux
Loaded plugins: fastestmirror, refresh-packagekit, security
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package htop.i386 0:1.0.2-1.el5.rf will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================
Package Arch Version Repository Size
=====================================================================================================================================================
Removing:
htop i386 1.0.2-1.el5.rf @rpmforge 185 k

Transaction Summary
=====================================================================================================================================================
Remove 1 Package(s)

Installed size: 185 k
Avatar
Postovi: 84
Postovi: 84
Pridružen/a: 03 stu 2012, 23:02
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: CentOS 6.3

Na mreži
Trenutno korisnika/ca: / i 1 gost.